Bug 20838 - dnf and dnf-plugins-core are not installed by default with classic installs/upgrades
Summary: dnf and dnf-plugins-core are not installed by default with classic installs/u...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Release (media or process) (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High major
Target Milestone: Mageia 6
Assignee: ISO building group
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-13 16:43 CEST by Neal Gompa
Modified: 2017-07-21 15:01 CEST (History)
3 users (show)

See Also:
Source RPM: meta-task
CVE:
Status comment:


Attachments

Description Neal Gompa 2017-05-13 16:43:00 CEST
Description of problem:
When doing a classic install from the DVD, dnf and dnf-plugins-core are not installed by default along with urpmi.

Please ensure that dnf and dnf-plugins-core are installed by default, so that users can use either dnf or urpmi right out of the gate with installs and upgrades.
Neal Gompa 2017-05-13 16:44:03 CEST

Target Milestone: --- => Mageia 6

Neal Gompa 2017-05-13 16:44:13 CEST

Priority: Normal => High

Neal Gompa 2017-05-13 16:44:35 CEST

Summary: dnf and dnf-plugins-core are not installed by default with classic installs => dnf and dnf-plugins-core are not installed by default with classic installs/upgrades

Marja van Waes 2017-05-13 17:10:00 CEST

Source RPM: (none) => meta-task
CC: (none) => marja11
Assignee: bugsquad => isobuild

Comment 1 Neal Gompa 2017-05-17 12:26:46 CEST
Can we have this fixed in time for the RC release?
Comment 2 Manuel Hiebel 2017-05-21 22:53:32 CEST
guess you add it in rpmsrate CAT_SYSTEM
http://svnweb.mageia.org/packages/cauldron/meta-task/current/SOURCES/rpmsrate-raw?view=markup#l694
Comment 3 Neal Gompa 2017-05-22 00:12:15 CEST
Done[1]. We just need new ISOs to confirm it worked.

[1]: http://svnweb.mageia.org/packages?view=revision&revision=1103984

Status: NEW => ASSIGNED

Comment 4 Neal Gompa 2017-05-22 05:01:55 CEST
Tested with a netinstall, this is fixed there. So now, the next time the classic DVD ISOs are spun, this change should be picked up.
Comment 5 Martin Whitaker 2017-05-23 21:51:56 CEST
Installing dnf enables a system service that creates a ~140MB cache in /var/cache. Do we really want this installed by default on every system? I expect the majority of users will continue to use MCC/rpmdrake for package management, so for them, this is unnecessary bloat.

CC: (none) => mageia

Comment 6 Neal Gompa 2017-05-23 21:55:39 CEST
The service can be disabled by default via a systemd preset or some other mechanism. Don't we have a global systemd preset for controlling these things?

Example from Fedora:
https://pagure.io/fedora-release/tree/master
Comment 7 Martin Whitaker 2017-05-23 22:33:00 CEST
(In reply to Neal Gompa from comment #6)
> The service can be disabled by default via a systemd preset or some other
> mechanism. Don't we have a global systemd preset for controlling these
> things?
> 
> Example from Fedora:
> https://pagure.io/fedora-release/tree/master

That seems very poor design. IMO, this should be handled in the package that provides the service.
Comment 8 Neal Gompa 2017-05-23 22:43:32 CEST
Presets can be shipped in either the package that provides the service or globally. Distro policy can be overridden by individual packages.

If you really wanted this disabled by default, all you had to do was ask.

I personally think it's good to have the cache, but if you really think it should be switched off by default, I can ship a preset file that does that.
Comment 9 Neal Gompa 2017-05-23 22:49:25 CEST
Incidentally, the advantage of global presets is that they only need to tweaked in one place, rather than having to change every package that has a preset.

Anyway, if you *really* think it should be disabled, file a separate bug for it, and I'll do so...
Comment 10 Martin Whitaker 2017-05-23 23:03:21 CEST
(In reply to Neal Gompa from comment #8)
> If you really wanted this disabled by default, all you had to do was ask.

See comment 5.

> I personally think it's good to have the cache, but if you really think it
> should be switched off by default, I can ship a preset file that does that.

Yes, if you are using dnf, I'm sure it is good to have the cache. But consider all the users who aren't using dnf, and have no need or wish to use dnf.

(In reply to Neal Gompa from comment #9)
> Anyway, if you *really* think it should be disabled, file a separate bug for
> it, and I'll do so...

Why should this need another bug report?

If you want dnf to be installed by default, I suggest the best behaviour would be to only enable the cache when dnf is first used.
Comment 11 Neal Gompa 2017-05-24 00:02:33 CEST
@Martin,

I've just submitted dnf-2.5.0-2.mga6, which will address this issue. From now on, makecache will not get invoked until the first complete run of DNF, which generates the necessary cache data.

See: http://svnweb.mageia.org/packages?view=revision&revision=1104319

Because of this change, I want you to remove the change you made in draklive-config that permanently disables dnf-makecache.
Comment 12 Neal Gompa 2017-07-21 15:01:54 CEST
DNF is installed by default on classic installs now.

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.